Subject: 21650: fixed in Emacs 25

From: Mike Kupfer <[email-masked]>
Date: Mon, 06 Jun 2016 17:35:25 -0700

Hi Simon, just to close the loop on the bug report that you filed: in
Emacs 25, MH-E will not download remote images by default.  Thanks for
reporting the issue.  If you have any concerns or questions, please let
me know.

thanks,
mike